net.snowflake.client.core

## Class SessionUtil.LoginOutput

- java.lang.Object
- - net.snowflake.client.core.SessionUtil.LoginOutput

Enclosing class:
  SessionUtil

    public static class SessionUtil.LoginOutput
    extends Object

Login output information including session tokens, database versions

### Constructor Summary

Constructors
Constructor and Description
`LoginOutput()`
`LoginOutput(String sessionToken, String masterToken, long masterTokenValidityInSeconds, String remMeToken, String idToken, String databaseVersion, int databaseMajorVersion, int databaseMinorVersion, int httpClientSocketTimeout, String sessionDatabase, String sessionSchema, String sessionRole, String sessionWarehouse, Map<String,Object> commonParams)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Object>` `getCommonParams()`
`int` `getDatabaseMajorVersion()`
`int` `getDatabaseMinorVersion()`
`String` `getDatabaseVersion()`
`int` `getHttpClientSocketTimeout()`
`String` `getIdToken()`
`String` `getMasterToken()`
`long` `getMasterTokenValidityInSeconds()`
`String` `getSessionDatabase()`
`String` `getSessionRole()`
`String` `getSessionSchema()`
`String` `getSessionToken()`
`SessionUtil.LoginOutput` `setCommonParams(Map<String,Object> commonParams)`
`SessionUtil.LoginOutput` `setIdToken(String idToken)`
`SessionUtil.LoginOutput` `setMasterToken(String masterToken)`
`void` `setSessionDatabase(String sessionDatabase)`
`void` `setSessionSchema(String sessionSchema)`
`SessionUtil.LoginOutput` `setSessionToken(String sessionToken)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoginOutput

    public LoginOutput()

#### LoginOutput

    public LoginOutput(String sessionToken,
                       String masterToken,
                       long masterTokenValidityInSeconds,
                       String remMeToken,
                       String idToken,
                       String databaseVersion,
                       int databaseMajorVersion,
                       int databaseMinorVersion,
                       int httpClientSocketTimeout,
                       String sessionDatabase,
                       String sessionSchema,
                       String sessionRole,
                       String sessionWarehouse,
                       Map<String,Object> commonParams)

### Method Detail

#### getSessionToken

    public String getSessionToken()

#### setSessionToken

    public SessionUtil.LoginOutput setSessionToken(String sessionToken)

#### getMasterToken

    public String getMasterToken()

#### setMasterToken

    public SessionUtil.LoginOutput setMasterToken(String masterToken)

#### getIdToken

    public String getIdToken()

#### setIdToken

    public SessionUtil.LoginOutput setIdToken(String idToken)

#### getDatabaseVersion

    public String getDatabaseVersion()

#### getDatabaseMajorVersion

    public int getDatabaseMajorVersion()

#### getDatabaseMinorVersion

    public int getDatabaseMinorVersion()

#### getHttpClientSocketTimeout

    public int getHttpClientSocketTimeout()

#### getCommonParams

    public Map<String,Object> getCommonParams()

#### setCommonParams

    public SessionUtil.LoginOutput setCommonParams(Map<String,Object> commonParams)

#### getSessionDatabase

    public String getSessionDatabase()

#### setSessionDatabase

    public void setSessionDatabase(String sessionDatabase)

#### getSessionSchema

    public String getSessionSchema()

#### setSessionSchema

    public void setSessionSchema(String sessionSchema)

#### getSessionRole

    public String getSessionRole()

#### getMasterTokenValidityInSeconds

    public long getMasterTokenValidityInSeconds()